/*
 * Code 13 - Edurobot.ch, destiné à l'Arduino
 * Objectif : Afficher la température et l'humidité sur l'écran de son ordinateur
 * */
 */

//*****EN-TETE DECLARATIVE*****


#include <dht.h>        //on inclut la biliothèque pour le capteur DHT

dht DHT;                //on créée l'objet capteur DHT

#define DHT11_PIN 7     //on définit le PIN utilisé par le capteur DHT

void setup()             // début de la fonction setup()

{
  Serial.begin(9600); 
  /* Pour une fois, l’ouverture du port série et la définition de sa vitesse est utile,
   * même indispensable puisque l’on va utiliser ce port pour afficher les valeurs du capteur.
   * 
    */
}

void loop()           //début de la fonction loop
{
  int chk = DHT.read11(DHT11_PIN);  //on lit les données du capteur DHT
  Serial.print("Température = ");   //on écrit "Température = " sur le moniteur
  Serial.println(DHT.temperature);  //on écrit la température lue par le capteur sur la même ligne
  Serial.print("Humidité = ");      //on écrit sur une nouvelle ligne le mot "Humdité ="
  Serial.println(DHT.humidity);     //on écrit l'humidité lue par le capteur sur la même ligne
  delay(1000);                      //on attend une seconde avant de procéder à la lecture suivante
}



