/*
  Code 3 - Edurobot.ch, destiné à l'Arduino
  Objectif: faire un chenillard à 4 LEDs montées sur les ports 10 à 13
*/


//***** FONCTION SETUP = Code d'initialisation *****
// La fonction setup() est exécutée en premier et une seule fois, au démarrage du programme


void setup()       // début de la fonction setup()

{         
              
 
  pinMode(11, OUTPUT);    // Initialise la broche 11 comme sortie -> feu rouge
  pinMode(12, OUTPUT);    // Initialise la broche 12 comme sortie -> feu orange  
  pinMode(13, OUTPUT);    // Initialise la broche 13 comme sortie -> feu vert
  
  Serial.begin(9600);     // Ouvre le port série à 9600 bauds
  
}         // fin de la fonction setup()


//***** FONCTION LOOP = Boucle sans fin = coeur du programme *****
// la fonction loop() s'exécute sans fin en boucle aussi longtemps que l'Arduino est sous tension


void loop()       // début de la fonction loop()

{
  
  digitalWrite(11, HIGH);     // Met la broche 11 au niveau haut = allume la LED rouge
  digitalWrite(12, LOW);      // Met la broche 12 au niveau bas = éteint la LED orange

  delay(3000);  // Pause de 3000ms = 3s

  digitalWrite(12, HIGH);     // Met la broche 12 au niveau haut = allume la LED orange

  delay(1000);  // Pause de 1000ms = 1s

  digitalWrite(11, LOW);      // Met la broche 11 au niveau bas = éteint la LED rouge
  digitalWrite(12, LOW);     // Met la broche 12 au niveau bas = éteint la LED orange
  digitalWrite(13, HIGH);     // Met la broche 12 au niveau haut = allume la LED verte

  delay(3000);  // Pause de 3000ms = 3s

  digitalWrite(12, HIGH);     // Met la broche 12 au niveau haut = allume la LED orange
  digitalWrite(13, LOW);      // Met la broche 12 au niveau bas = éteint la LED verte

  delay(1000);  // Pause de 1000ms = 1s
  
}         // fin de la fonction loop()


